Subject: Re: [bug#54560] [PATCH 00/47] gnu: Add go-github-com-prometheus-prometheus.

From: Leo Nikkilä <[email-masked]>
Date: Fri, 25 Mar 2022 22:53:51 +0000

Maxime, thank you for the speedy review.

> In which patch is this?

This is in go-github-com-prometheus-common-remove-readidletimeout.patch.

> Maybe the number of dependents isn't a problem

According to `guix refresh --list-dependent' there are 34 dependents, that's less than I expected. I'll remove the patch and attempt an upgrade here.

> Alternatively, maybe the already-existing (gnu packages monitoring)
> would be a good place?

That might be better for now. It's not as large yet, and it already houses existing packages like go-github-com-prometheus-node-exporter.

Would it be appropriate to update the existing variables in (gnu packages syncthing) to use `deprecated-package'?

> (guix)Synopses and Descriptions

Regarding your comments on several patches about descriptions: this is entirely fair, I didn't spend much time on these at all and mostly copied what was described upstream.

I'll update these.